import {
	defineConfig
} from 'vite'
import uni from '@dcloudio/vite-plugin-uni'

export default defineConfig({
	plugins: [
		uni()
	],
	server: {
		proxy: {
			'/welcome/welcome_api/': {
				// 线上地址
				// target: 'https://chtech.ncjti.edu.cn/welcome/welcome_api/',
				// 本地地址
				target: 'http://192.168.161.221:8080',
				changeOrigin: true,
				rewrite: path => path.replace(/^\/welcome\/welcome_api/, ''),
			}
		}
	}
})